Bug 609357 - [abrt] firefox-3.6.4-2.fc14: Process /usr/lib/firefox-3.6/firefox was killed by signal 11 (SIGSEGV)
[abrt] firefox-3.6.4-2.fc14: Process /usr/lib/firefox-3.6/firefox was killed ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
14
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
abrt_hash:176f27dfcf89f80888cc4893789...
:
: 611294 618671 (view as bug list)
Depends On: 597858
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-30 00:45 EDT by Eric Blake
Modified: 2011-12-07 08:09 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-07 08:09:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (91.45 KB, text/plain)
2010-06-30 00:45 EDT, Eric Blake
no flags Details

  None (edit)
Description Eric Blake 2010-06-30 00:45:53 EDT
abrt version: 1.1.5
architecture: i686
Attached file: backtrace
cmdline: /usr/lib/firefox-3.6/firefox
comment: setroubleshooter claimed that the problem may have been due to a plugin trying to do write/execute access to malloc'd memory, but I'm not sure which plugin might have caused this
component: firefox
crash_function: nsProfileLock::FatalSignalHandler
executable: /usr/lib/firefox-3.6/firefox
global_uuid: 176f27dfcf89f80888cc4893789c5963c5dc1e26
kernel: 2.6.35-0.2.rc3.git0.fc14.i686.PAE
package: firefox-3.6.4-2.fc14
rating: 4
reason: Process /usr/lib/firefox-3.6/firefox was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Rawhide)
time: 1277869506
uid: 500
Comment 1 Eric Blake 2010-06-30 00:45:56 EDT
Created attachment 427857 [details]
File: backtrace
Comment 2 Eric Blake 2010-07-01 19:40:20 EDT
Package: firefox-3.6.4-2.fc14
Architecture: i686
OS Release: Fedora release 14 (Rawhide)


Comment
-----
Just trying to start firefox, with all plugins disabled and nspluginwrapper installed, and yet selinux halts the process and says it may be a plugin trying to change malloc()d memory to be executable.
Comment 3 Frank Murphy 2010-07-05 12:12:47 EDT
Package: firefox-3.6.4-2.fc14
Architecture: i686
OS Release: Fedora release 14 (Rawhide)


How to reproduce
-----
1. start firefox
2.
3.

There is a avc denial for ff at the same time: #597858, 
uncertain if releated
Comment 4 cschwangler 2010-07-11 10:16:55 EDT
Package: firefox-3.6.4-2.fc14
Architecture: i686
OS Release: Fedora release 14 (Rawhide)


How to reproduce
-----
1. Attempt to start Firefox
2. The crash happens immediately
3.


Comment
-----
This is a basic installation of Fedora Rawhide (yum update from F13). No additional plugins installed in Firefox.
Comment 5 Jens Petersen 2010-07-13 21:17:30 EDT
(In reply to comment #3)
> There is a avc denial for ff at the same time: #597858, 
> uncertain if releated    

It seems to be: setting selinux to permissive and firefox starts normally.
Comment 6 Bug Zapper 2010-07-30 08:18:33 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Karel Klíč 2010-11-09 09:10:53 EST
*** Bug 618671 has been marked as a duplicate of this bug. ***
Comment 8 Rohan Ferris 2011-08-14 08:36:25 EDT
*** Bug 611294 has been marked as a duplicate of this bug. ***
Comment 9 Martin Stransky 2011-12-07 08:09:18 EST
We're using mozilla crash reporter now, ABRT is no more used for Firefox/Thunderbird. If you can reliably reproduce the crash (you have a testcase, reproduction steps, etc.) please reopen the bug and attach the reproduction info and assign it directly to me (stransky@redhat.com).

Thanks!

Note You need to log in before you can comment on or make changes to this bug.